Skip to content

Sends a link by SMS

Request

POST {{baseURL}}/pay-int-api/quick-payments/{{quickPaymentId}}/send-sms-notification

This endpoint sends a one-time payment link to a customer through SMS.

See Also:
To create a one-time payment link, see POST /pay-int-api/quick-payments/one-time.
To create a reusable payment link, see POST /pay-int-api/quick-payments/reusable.
To activate a payment link, see POST /pay-int-api/quick-payments/{quickPaymentId}/activate.
To deactivate a payment link, see POST /pay-int-api/quick-payments/{quickPaymentId}/deactivate.

Security
Bearer
Path
quickPaymentIdstring, (uuid)required

Specifies the payment link identifier.

This value is returned from either:

  • POST /pay-int-api/quick-payments/one-time
  • POST /pay-int-api/quick-payments/reusable
Example:0423617a-2004-4516-935d-e5ad4bbbe93e
Headers
x-api-versionstring

Specifies the API version to use for the request.

Example: 1.0

Example:1.0
Bodyapplication/json

The request containing the details for the SMS notification.

phoneNumberstring or null, (E.164), <= 20 characters^(null|\+\d{1,20})$

Indicates the SMS phone number.

Example: +14155552309

Example:"+14155552309"
customerConsentboolean

Indicates the customer has consented to receiving the SMS.

If true, the customer has consented to receiving the SMS.
If false, the customer has not consented to receiving the SMS.

Example: true

Example:true
curl -i -X POST \
  https://developer.flute.com/_mock/api-reference/pay-int-api/quick-payments/0423617a-2004-4516-935d-e5ad4bbbe93e/send-sms-notification \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -H 'x-api-version: 1.0' \
  -d '{
    "phoneNumber": "+14155552309",
    "customerConsent": true
  }'

Responses

OK

Response
No content